# Generated from soar_authentication_token-7.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soar_authentication_token

Name: rubygem-%{gem_name}
Version: 7.1.1
Release: 1%{?dist}
Summary: Client library for Hetzner's authentication token service
License: MIT
URL: https://gitlab.host-h.net/hetznerZA/authentication-token-service
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(auth_token_store_provider) >= 1.0
# BuildRequires: rubygem(auth_token_store_provider) < 2
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 2.13
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(capybara) >= 2.1
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(capybara) >= 2.1.0
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(simplecov-rcov) < 1
# BuildRequires: rubygem(webmock) >= 3.0
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(byebug)
BuildArch: noarch

%description
Interface to the authentication token service.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/keypair-generator
%{_bindir}/rotate-configs
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/retry.sh
%{gem_instdir}/sanity
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/soar_authentication_token.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 7.1.1-1
- Initial package
